org.apache.felix.ipojo.extender.queue

## Interface Callback<T>

    public interface Callback<T>

When submitting a processing job, a callback object can be passed to the submission process. This callback is notified when the job processing is completed.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `error(JobInfo info, java.lang.Exception exception)` The job was not completed successfully.
`void` `success(JobInfo info, T result)` The job was completed successfully.

### Method Detail

#### success

    void success(JobInfo info,
                 T result)

The job was completed successfully.

Parameters:
  `info` - the job info
  `result` - the job result

#### error

    void error(JobInfo info,
               java.lang.Exception exception)

The job was not completed successfully.

Parameters:
  `info` - the job info
  `exception` - the thrown exception